package ru.dbotthepony.kstarbound.util

import org.apache.logging.log4j.Logger
import java.util.function.Consumer

class ExceptionLogger(private val logger: Logger) : Consumer<Throwable> {
	override fun accept(t: Throwable) {
		logger.error("Error while executing queued task", t)
	}
}
